<bugID>1210940<Summary>New Browser Component: Newtab</Summary><Description>This patch creates a new browser component related to the remote newtab page.

The original landing of this component includes some code duplication from browser/module/DirectoryLinksProvider.jsm and toolkit/module/NewTabUtils.jsm

Some more related browser modules have been moved to this component.

The idea is that we'll remove the aforementioned modules once we move code from the privileged context to the remote page tracked in bug 1210936.

In fact, a content script in bug 1210936 invokes code from this module.

It is to provide a subset of functionality as to the non-remote newtab page for now.</Description></bugID>